## wxArchiveNotifier

If you need to know when a wxArchiveInputStream updates a wxArchiveEntry object, you can create a notifier by deriving from this abstract base class, overriding OnEntryUpdated(). An instance of your notifier class can then be assigned to the wxArchiveEntry object using wxArchiveEntry::SetNotifier(). Your OnEntryUpdated() method will then be invoked whenever the input stream updates the entry.

Setting a notifier is not usually necessary. It is used to handle certain cases when modifying an archive in a pipeline (i.e. between non-seekable streams). See Archives on non-seekable streams.

Derived from

No base class

Include files

<wx/archive.h>

See also

Archives on non-seekable streams
wxArchiveEntry
wxArchiveInputStream
wxArchiveOutputStream

Members

wxArchiveNotifier::OnEntryUpdated

### wxArchiveNotifier::OnEntryUpdated

void OnEntryUpdated(class wxArchiveEntry& entry)

This method must be overridden in your derived class.